Page MenuHomePhabricator

build: define PACKAGE_BUILD_DIR as $(abs_top_builddir) for all test suites
ClosedPublic

Authored by zmike on Aug 2 2018, 8:02 AM.

Details

Summary

this needs to be consistent so that it can be used reliably across suites

also these build flags really need to be consolidated into a single variable
that can be reused

Depends on D6666

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 2 2018, 8:02 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Aug 2 2018, 8:02 AM
zmike updated this revision to Diff 16070.
zmike edited the summary of this revision. (Show Details)

LGTM, i am wondering why this does not require any code changes ?

bu5hm4n requested changes to this revision.Aug 3 2018, 1:02 AM

Setting the flag so its out of my queue.

This revision now requires changes to proceed.Aug 3 2018, 1:02 AM
zmike requested review of this revision.Aug 6 2018, 4:16 AM

This isn't used in many places.

Please do not reject a patch just to remove it from your view; that's now how review workflows work.

bu5hm4n accepted this revision.Aug 6 2018, 4:47 AM

Well i was confused when i read the commit message with this content, and was afraid that the only reason for it to work could be that some #ifndef PACKAGE_BUILD_DIR #define PACKAGE_BUILD_DIR weirdness. Thus I requrested changes.

This revision is now accepted and ready to land.Aug 6 2018, 4:47 AM
This revision was automatically updated to reflect the committed changes.